Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.relesysapp.net/api/v1/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"04c91c8d-4364-44a4-9795-d34a834c5996","url":null,"userId":"ae9a08c5-4df2-471e-ac08-1826d29f0184","userUrl":null,"parentCommentId":"68756628-a897-4592-a37f-008eef61a215","parentCommentUrl":null,"creationDateTime":"2026-04-17T11:25:35.5924725+00:00","lastModifiedDateTime":"2026-04-17T15:25:35.5924725+00:00","medias":[{"id":"ee22dbc0-f4dc-4ac7-beae-6e1c753585ac","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"3a17ff6f-49d2-4f2a-8545-4f974f8fdf6e","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"094b4415-4636-4ab5-899b-a8a1ebbcb498","url":null,"userId":"38aac656-00dc-4540-a317-adeb0fc3d69f","userUrl":null,"parentCommentId":"bddbee61-7dab-4221-ae9a-7e0eef37ac58","parentCommentUrl":null,"creationDateTime":"2026-04-17T10:25:35.5924725+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"b2808dae-cba9-43cd-86d1-3ffd56d41dac","url":null},{"type":"Department","name":null,"id":"392bb4ea-b80a-4a8d-ade5-34b4c2ac7d82","url":null},{"type":"User group","name":null,"id":"cdbd3267-326c-40af-bb0e-446fdbae3f2d","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string